Package Base Details: backintime

Git Clone URL: https://aur.archlinux.org/backintime.git (read-only, click to copy)
Submitter: None
Maintainer: graysky
Last Packager: graysky
Votes: 275
Popularity: 1.81
First Submitted: 2009-01-09 20:46
Last Updated: 2019-08-25 17:21

Packages (2)

Latest Comments

« First ‹ Previous ... 3 4 5 6 7 8 9 10 11 12 13 ... Next › Last »

Germar commented on 2015-12-13 19:41

@graysky please use this patch [1]

[1]: https://gist.github.com/Germar/481f2c201a26c5050697

catalin.hritcu commented on 2015-12-13 18:35

There is an indentation problem with the v1.1.8-2 package
(def __log_keyring_warning should not be indented but it is) that causes this failure:

[hritcu@detained ~]$ backintime
Traceback (most recent call last):
File "/usr/share/backintime/common/backintime.py", line 23, in <module>
import config
File "/usr/share/backintime/common/config.py", line 31, in <module>
import tools
File "/usr/share/backintime/common/tools.py", line 1173
from time import sleep
^
IndentationError: expected an indented block

graysky commented on 2015-12-13 18:24

Bump to v1.1.8-2
Changelog: Fix #473 ahead of next release.[1]

1. https://github.com/bit-team/backintime/issues/473

graysky commented on 2015-12-13 18:23

I had a typo. Please try 1.1.8-2 and verify that it fixes your problems.

catalin.hritcu commented on 2015-12-13 17:29

These are the 2 patches I applied *by hand*:
https://github.com/bit-team/backintime/commit/d7b28fa8f1f124e2e13ad9345b60c61110841485
https://github.com/bit-team/backintime/commit/9ae4960f4dca6092d3b636a3b6def68220b50a7e

graysky commented on 2015-12-13 17:25

@cat - Which patches did you apply and were they to 1.1.8? The two I found do not cleanly apply.

catalin.hritcu commented on 2015-12-13 16:39

Was getting following error on starting up as user:
[hritcu@detained ~]$ Traceback (most recent call last):
File "/usr/share/backintime/common/backintime.py", line 23, in <module>
import config
File "/usr/share/backintime/common/config.py", line 31, in <module>
import configfile
File "/usr/share/backintime/common/configfile.py", line 19, in <module>
import logger
File "/usr/share/backintime/common/logger.py", line 23, in <module>
import tools
File "/usr/share/backintime/common/tools.py", line 1173, in <module>
logger.warning('import keyring failed')
AttributeError: module 'logger' has no attribute 'warning'

Locally applying the 2 patches from issue #473 fixed it for me.
https://github.com/bit-team/backintime/issues/473

Wondering whether you can include those patches in your package until v1.1.10 comes out. Tool not starting at all seems like a big enough problem for regular users.

graysky commented on 2015-09-29 19:01

Bump to v1.1.8-1

Anonymous comment on 2015-09-13 10:44

Solides Programm, nutze es schon sehr lange und läuft sauber- Weiter so!

graysky commented on 2015-09-12 11:09

@tahayassen - validpgpkeys= is the Arch standard not just for the AUR but for all packages. Suggest you read the wiki: https://wiki.archlinux.org/index.php/Makepkg#Signature_checking